#include <Button_UDF.au3>
#include <ButtonConstants.au3>

Global $Form1 = GUICreate("", 342, 460, @DesktopWidth/2 - 350, -1)
GUISetIcon(@SystemDir & "\shell32.dll", 45)

; Syntax ........: _ADD_Button($Left, $Top, $width, $height, $Text, $AlignTextH = 1, $AlignTextV = 1, $ColorText = 0xFF000000,
;                  $hFont = "Arial", $fSize = 9, $iStyle = 0, $MargeGauche = 0, $MargeHaute = 0, $Masq = 0)

$Button1 = _ADD_Button(81, 10, 180, 65, "Ouvrir", 1, 2, 0XFF0000FF, "Arial", 15, 1)
GUICtrlSetTip(-1, "Clic sur moi","",0,3)
$label1 = GUICtrlCreateLabel("Milieu bas",10, 10, 60, 20, $SS_NOTIFY)
$Button1_bis = _ADD_Button(81, 10, 180, 65, "Autre", 1, 0, 0XFF0000FF, "Arial", 15, 1 + 2, 0, 10);$iStyle = 1  gras + 2  Italique, $MargeHaute = 10
GUICtrlSetState(-1, $GUI_HIDE) ;bouton caché
$Button2 = _ADD_Button(92, 96, 156, 49, "Fermer", 1, 0, 0XFFFF0000, "Georgia", 15, 1)
GUICtrlSetTip(-1, "Clic pour delete","",0,3)
GUICtrlCreateLabel("Milieu haut",10, 96, 60, 20)
$Button3 = _ADD_Button(116, 165, 110, 35, "Sauvegarder", 1, 1, 0XFF008900, "Calibri", 14, 1 + 2 + 3)
GUICtrlCreateLabel("Milieu milieu",10, 165, 60, 20)
$Button4 = _ADD_Button(92, 226, 156, 49, "Enregistrer" & @CRLF & "sous", 2, 0, 0XFF000000, "Bell MT", 12, 1, 0, 0,0x253366FF);$Masq = 0x303366FF en 2 lignes
GUICtrlCreateLabel("Droite haut",10, 226, 60, 20)
$Button5 = _ADD_Button(81, 296, 180, 65, "Imprimer", 0, 2, 0XFF0030FF, "Broadway", 17, 1 + 2 + 3, 0,0,0x20FFFF00)
GUICtrlCreateLabel("Gauche bas",10, 296, 60, 20)
$Button6 = GUICtrlCreateButton("customary Button" &@CRLF& "Clic disable" ,81, 381, 180, 65, $BS_MULTILINE)
GUICtrlSetFont(-1,11)
GUICtrlSetTip(-1, "Active ou désactive un bouton","",0,3)
GUISetState(@SW_SHOW)

Local $rep = True
While 1
 $nMsg = GUIGetMsg()
 Switch $nMsg
  Case $GUI_EVENT_CLOSE
   Exit
	 Case $Button3, $Button4, $Button5
		 MsgBox(64 ,"Id: " & $nMsg,GUICtrlRead($nMsg),1, $Form1)

	 Case $Button2
		 MsgBox(64 ,"Id: " & $nMsg,GUICtrlRead($Button2),1, $Form1)
		 _ButtonDelete($Button2);supprime le bouton et ses handles

	 Case $Button1 ;interchange avec $Button1_bis
		 MsgBox(64 ,"Id: " & $nMsg,GUICtrlRead($nMsg),1, $Form1)
		 GUICtrlSetState($Button1, $GUI_HIDE)
		 GUICtrlSetState($Button1_bis, $GUI_SHOW)
		 GUICtrlSetData($label1, "Milieu haut")

	 Case $Button1_bis ;interchange avec $Button1
		 MsgBox(64 ,"Id: " & $nMsg,GUICtrlRead($nMsg),1, $Form1)
		 GUICtrlSetState($Button1_bis, $GUI_HIDE)
		 GUICtrlSetState($Button1, $GUI_SHOW)
		 GUICtrlSetData($label1, "Milieu bas")

	 case $Button6 ;Active ou désactive le $Button1 ou $Button1_bis => ButtonState($CtrlId, $enable = True)
		 $rep = Not $rep
		 _ButtonState($Button1, $rep)
		 _ButtonState($Button1_bis, $rep)
		 If $rep Then
			 GUICtrlSetData($Button6, "customary Button" &@CRLF& "Clic disable")
		 Else
			 GUICtrlSetData($Button6, "Bouton ordinaire" &@CRLF& "Clic enable")
		 EndIf

 EndSwitch
WEnd

